summaryrefslogtreecommitdiffstats
path: root/libraries/xapian-core
diff options
context:
space:
mode:
author titopoquito2010-05-11 14:56:26 +0200
committer Eric Hameleers2010-05-11 14:56:26 +0200
commit980d781ba20bf8ca79a3e72daaa964fce4d611b9 (patch)
tree4b0d1bdf87d78b325c34dd96aa78cfb3a2230e0d /libraries/xapian-core
parenta48fedc767c3d8f729ba75d76e273a4929183df9 (diff)
downloadslackbuilds-980d781ba20bf8ca79a3e72daaa964fce4d611b9.tar.gz
libraries/xapian-core: Initial import
Diffstat (limited to 'libraries/xapian-core')
-rw-r--r--libraries/xapian-core/README18
-rw-r--r--libraries/xapian-core/slack-desc18
-rw-r--r--libraries/xapian-core/xapian-core.SlackBuild87
-rw-r--r--libraries/xapian-core/xapian-core.info8
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/xapian-core/README b/libraries/xapian-core/README
new file mode 100644
index 0000000000..6165548236
--- /dev/null
+++ b/libraries/xapian-core/README
@@ -0,0 +1,18 @@
+xapian (search engine library)
+
+Xapian is an Open Source Search Engine Library, released under
+the GPL. It's written in C++, with bindings to allow use from
+Perl, Python, PHP, Java, Tcl, C#, and Ruby (so far!) Xapian is
+a highly adaptable toolkit which allows developers to easily
+add advanced indexing and search facilities to their own
+applications. It supports the Probabilistic Information
+Retrieval model and also supports a rich set of boolean query
+operators.
+
+The homepage of xapian is found at http://www.xapian.org/
+
+xapian-core does not seem to depend on other packages.
+No incompatibilites of the used version are known so far.
+NOTE: Version 0.9.10 works ok with the file search utility recoll,
+version 1.0.0 does NOT work with recoll (at the time of writing).
+No special configuration is needed after installing the package.
diff --git a/libraries/xapian-core/slack-desc b/libraries/xapian-core/slack-desc
new file mode 100644
index 0000000000..4a8b93903d
--- /dev/null
+++ b/libraries/xapian-core/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+xapian-core: xapian-core (search engine library)
+xapian-core:
+xapian-core: Xapian is an Open Source Search Engine Library, released under
+xapian-core: the GPL. It's written in C++, with bindings to allow use from
+xapian-core: Perl, Python, PHP, Java, Tcl, C#, and Ruby (so far!) Xapian is
+xapian-core: a highly adaptable toolkit which allows developers to easily
+xapian-core: add advanced indexing and search facilities to their own
+xapian-core: applications. It supports the Probabilistic Information
+xapian-core: Retrieval model and also supports a rich set of boolean query
+xapian-core: operators.
+xapian-core: http://www.xapian.org/
diff --git a/libraries/xapian-core/xapian-core.SlackBuild b/libraries/xapian-core/xapian-core.SlackBuild
new file mode 100644
index 0000000000..75864991a6
--- /dev/null
+++ b/libraries/xapian-core/xapian-core.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+# Slackware build script for xapian-core
+# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+# Modified by the SlackBuilds.org Project
+
+# Exit on most errors
+set -e
+
+PRGNAM=xapian-core # replace with name of program
+VERSION=0.9.10 # replace with version of program
+ARCH=${ARCH:-i486} # this should not change
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo} # the "_SBo" is required
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS HACKING PLATFORMS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# some doc files have been copied to $PKG/usr/share/doc, move them over to
+# /usr/doc so that they will be in $PRGNAM-$VERSION and not in $PRGNAM
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/xapian-core/xapian-core.info b/libraries/xapian-core/xapian-core.info
new file mode 100644
index 0000000000..ca46d4e33b
--- /dev/null
+++ b/libraries/xapian-core/xapian-core.info
@@ -0,0 +1,8 @@
+PRGNAM="xapian-core"
+VERSION="0.9.10"
+HOMEPAGE="http://www.xapian.org/"
+DOWNLOAD="http://www.oligarchy.co.uk/xapian/0.9.10/xapian-core-0.9.10.tar.gz"
+MD5SUM="a45d34a9539493cfdffe16fea8022faf"
+MAINTAINER="titopoquito"
+EMAIL="titopoquito@cooltoad.com"
+APPROVED="alien"